compress.c File Reference
`#include "zlib.h"`

Go to the source code of this file.

## Macros

#define | ZLIB_INTERNAL

## Functions

int ZEXPORT | compress2 (Bytef *dest, uLongf *destLen, const Bytef *source, uLong sourceLen, int level)
int ZEXPORT | compress (Bytef *dest, uLongf *destLen, const Bytef *source, uLong sourceLen)
uLong ZEXPORT | compressBound (uLong sourceLen)

## Macro Definition Documentation

## ZLIB_INTERNAL

#define ZLIB_INTERNAL

Definition at line 8 of file compress.c.

## Function Documentation

## compress()

int ZEXPORT compress | ( | Bytef * | dest,
|  | uLongf * | destLen,
|  | const Bytef * | source,
|  | uLong | sourceLen
| ) |  |

Definition at line 68 of file compress.c.

## compress2()

int ZEXPORT compress2 | ( | Bytef * | dest,
|  | uLongf * | destLen,
|  | const Bytef * | source,
|  | uLong | sourceLen,
|  | int | level
| ) |  |

Definition at line 22 of file compress.c.

## compressBound()

uLong ZEXPORT compressBound | ( | uLong | sourceLen | ) |

Definition at line 81 of file compress.c.